Subject: Re: Microwindows on Icecube/CoralP

From: "Mark Chambers" <[email-masked]>
Date: Mon, 7 Feb 2005 07:59:16 -0500

>I have been playing with the CoralP, Icecube and Debian.
>Works fine, thanks to the tutorial on the Denx site.
>I now would like to see the microwindows stuff working. I
>have been trying the demos from the ELDK but I get strange
>colors, it seems my palette is all wrong. The same happens
>when I recompile the latest version of microwindows (except
>I get yet another palette).
>Any pointers?

One unexpected thing about the 5200 is that it swaps bytes
to/from the PCI buss.  So if you write a 32 bit pixel, for
instance 0x12345678, it will be written to PCI as
0x78563412.  Presumably this is based on an assumption
that PCI targets will be little-endian.  So you might try
reversing bytes and see if the palettes make sense.

Mark Chambers